Issue 113744 - Can not enter data for decimal column types in dataview window
Summary: Can not enter data for decimal column types in dataview window
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOO320m2
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords: regression
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-08-09 13:20 UTC by drewjensen.inbox
Modified: 2017-05-20 10:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
example database (3.56 KB, application/vnd.sun.xml.base)
2010-08-09 13:21 UTC, drewjensen.inbox
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description drewjensen.inbox 2010-08-09 13:20:22 UTC
DEV330m_2 / UbuntStudio 10.04 (AMD64)

Open the attached file, open the dataview window for the single table.

Try to enter a record, with data in the column Val2 having some decimal value -
it generates a java error.

Works fine with OO.o3.2 / Ubuntu
Comment 1 drewjensen.inbox 2010-08-09 13:21:06 UTC
Created attachment 71020 [details]
example database
Comment 2 r4zoli 2010-08-09 14:08:15 UTC
I tested on win7 and OOO330_m3, with Hu locale. 

If I enter any value with comma as decimal separator it insert 0.000 and I can
save record.

If I enter any value with point as decimal separator it gives error:

Error code: -1, and java.lang.NumberFormatException.

If after the point as decimal separator, change the point to comma, then inserts
value, but will recognize comma as thousands separator.
Value in field will be stored as original value multiplied by 1000.

Assign developer, set tartget. 

May be a blocker issue? 
Comment 3 ocke.janssen 2010-08-24 11:53:52 UTC
Fixed in cws fs33a
Comment 4 ocke.janssen 2010-08-30 07:53:27 UTC
Please verify. Thanks.
Comment 5 marc.neumann 2010-09-01 12:53:02 UTC
verified in CWS fs33a
find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Ffs33a